package com.engine.thinktrans.service;

import com.engine.thinktrans.entity.param.TendencyReportParam;
import com.engine.thinktrans.entity.vo.TendencyReportVO;

/**
 * @Author liang.cheng
 * @Date 2023/11/16 10:43 AM
 * @Description: TODO
 * @Version 1.0
 */
public interface ReportCollectService {

    /**
     * @Description: 年度人力趋势报表
     * @Author: liang.cheng
     * @Date: 2023/11/16 2:39 PM
     * @param: []
     * @return: com.engine.thinktrans.entity.vo.TendencyReportVO
     */
    TendencyReportVO getPersonTendency(TendencyReportParam tendencyReportParam);

    /**
     * @Description: 实时在职人数
     * @Author: liang.cheng
     * @Date: 2023/11/20 10:05 AM
     * @param: [param]
     * @return: com.engine.thinktrans.entity.vo.TendencyReportVO
     */
    TendencyReportVO getOnJobStatistics();
}
